##### 7.5.21.0. isInvertibleLeftFraction

Procedure from library `olga.lib` (see olga_lib).

Usage:
  isInvertibleLeftFraction(frac, locType, locData), vector frac, int locType, list/vector/intvec locData

Purpose:
  check if a fraction is invertible in the specified localization

Assume:

Return:
  int

Note:
  - returns 1, if the numerator of frac is in the denominator set, - returns 0, otherwise (NOTE: this does NOT mean that the fraction is not invertible, it just means it could not be determined by the method above).

Example:

    LIB "olga.lib";
    ring R = 0,(x,y,Dx,Dy),dp;
    def S = Weyl();
    setring S; S;
    ==> // coefficients: QQ considered as a field
    ==> // number of vars : 4
    ==> //        block   1 : ordering dp
    ==> //                  : names    x y Dx Dy
    ==> //        block   2 : ordering C
    ==> // noncommutative relations:
    ==> //    Dxx=x*Dx+1
    ==> //    Dyy=y*Dy+1
    poly g1 = x+3;
    poly g2 = x*y;
    list L = g1,g2;
    vector frac = [g1*g2, 17, 0, 0];
    isInvertibleLeftFraction(frac, 0, L);
    ==> 1
    ideal p = x-1, y;
    frac = [g1, x, 0, 0];
    isInvertibleLeftFraction(frac, 1, p);
    ==> 1
    intvec rat = 1,2;
    frac = [g1*g2, Dx, 0, 0];
    isInvertibleLeftFraction(frac, 2, rat);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.